Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emacs with aqua support?
View unanswered posts
View posts from last 24 hours

 
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Gentoo for Mac OS X (Portage for Mac OS X)
View previous topic :: View next topic  
Author Message
publius
n00b
n00b


Joined: 21 Oct 2004
Posts: 13

PostPosted: Thu Feb 03, 2005 3:25 pm    Post subject: Emacs with aqua support? Reply with quote

So I saw in a couple of posts that you can emerge emacs for aqua with 'aqua' in your USE flag.

Ok, but isn't emacs masked?
- just checked, it is and so is autoconf, a req

What am I missing?

Thanks in advance for the help!
Back to top
View user's profile Send private message
pindar
Apprentice
Apprentice


Joined: 30 Apr 2004
Posts: 220

PostPosted: Mon Feb 07, 2005 8:24 am    Post subject: Reply with quote

Nope, emacs isn't masked. From http://packages.gentoo.org/ebuilds/?emacs-21.3.50_pre20041027:
Code:
emacs 21.3.50_pre20041027

Sat Nov 6 16:06:15 2004


Description: An incredibly powerful, extensible text editor

Changes:
*emacs-21.3.50_pre20041027 (07 Nov 2004)

07 Nov 2004; Mamoru KOMACHI <usata@gentoo.org>
+files/emacs-nofink-gentoo.diff, +emacs-21.3.50_pre20041027.ebuild:
Added Carbon Emacs (aqua USE flag). See bug #64362.
Also added multi-tty patch.

Looks like this was quite a while befor your post.
Back to top
View user's profile Send private message
publius
n00b
n00b


Joined: 21 Oct 2004
Posts: 13

PostPosted: Mon Feb 07, 2005 3:13 pm    Post subject: Reply with quote

hmmmm... I guess I didn't realize it was in testing and for some reason didn't even think to try. I've been updating a lot of linux boxes lately and I guess I just zoned out...

Anyway, thanks for the wake up call, it's working fine now.
Back to top
View user's profile Send private message
sapo_selo
n00b
n00b


Joined: 06 Feb 2005
Posts: 26
Location: Portugal

PostPosted: Fri Feb 11, 2005 12:58 am    Post subject: Reply with quote

have u managed to emerge autoconf?? didn't u have problems without the collision protection??
Back to top
View user's profile Send private message
publius
n00b
n00b


Joined: 21 Oct 2004
Posts: 13

PostPosted: Thu Mar 03, 2005 7:24 pm    Post subject: Reply with quote

Sorry sapo, I haven't been on the forums in awhile. Did you get it to work?

You have to use (well at that time anyway) '~ppc-macos' keyword for autoconf and emacs. I was being dumb and just using 'ppc-macos'. Collision was no problem.
Back to top
View user's profile Send private message
sapo_selo
n00b
n00b


Joined: 06 Feb 2005
Posts: 26
Location: Portugal

PostPosted: Thu Mar 03, 2005 11:59 pm    Post subject: Reply with quote

yeah, i already have emacs working but thanx anyway :D
Back to top
View user's profile Send private message
Woland
Apprentice
Apprentice


Joined: 02 Aug 2002
Posts: 248
Location: Russian Jack, Alaska

PostPosted: Thu Mar 10, 2005 6:57 pm    Post subject: Reply with quote

Hmm...
Code:

root# USE="~ppc aqua" emerge -p app-editors/emacs-cvs

These are the packages that I would merge, in order:

Calculating dependencies   
!!! All ebuilds that could satisfy "app-editors/emacs-cvs" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-editors/emacs-cvs-23.0.0 (masked by: package.mask, ~ppc keyword)
# <usata@gentoo.org> (2 July 2004)
# emacs-unicode-2 branch is not stable and SLOT support for emacs
# is imcomplete. info directory handling should be reconsidered.

- app-editors/emacs-cvs-22.0.50 (masked by: missing keyword)

and
Code:

USE="~ppc aqua" emerge -p emacs   

These are the packages that I would merge, in order:

Calculating dependencies   
!!! All ebuilds that could satisfy "emacs" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-editors/emacs-18.59 (masked by: missing keyword)
- app-editors/emacs-21.4 (masked by: missing keyword)
- app-editors/emacs-22.0.50_pre20050225 (masked by: -* keyword)

_________________
|
|_______________________________________
And some days the Universe just gives you the finger.
Back to top
View user's profile Send private message
reddan
n00b
n00b


Joined: 18 Mar 2004
Posts: 26
Location: Mumbai

PostPosted: Fri Mar 11, 2005 3:26 am    Post subject: Reply with quote

try:
Code:
sudo ACCEPT_KEYWORDS="~ppc-macos" USE="aqua" emerge -a emacs

Or, even better, add "aqua" to your USE value in /etc/make.conf, and add
app-editors/emacs ~ppc-macos
to /etc/portage/package.keywords
Back to top
View user's profile Send private message
cayenne
l33t
l33t


Joined: 17 Oct 2002
Posts: 886
Location: New Orleans

PostPosted: Sat Apr 30, 2005 6:39 pm    Post subject: Reply with quote

reddan wrote:
try:
Code:
sudo ACCEPT_KEYWORDS="~ppc-macos" USE="aqua" emerge -a emacs

Or, even better, add "aqua" to your USE value in /etc/make.conf, and add
app-editors/emacs ~ppc-macos
to /etc/portage/package.keywords


I've tried this:
ACCEPT_KEYWORDS="~ppc-macos" emerge -p emacs

And this:
ACCEPT_KEYWORDS="-ppc-macos" emerge -p emacs

But, I keep getting:
su: ACCEPT_KEYWORDS=~ppc-macos: Command not found.

I'm trying to run this as root....

Any suggestions....?

TIA,

cayenne
_________________
Light travels faster than sound. This is why some people appear bright until you hear them speak.........
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Gentoo for Mac OS X (Portage for Mac OS X) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum